View Issue Details

IDProjectCategoryView StatusLast Update
0001728XdebugCode Coveragepublic2020-01-12 14:49
ReporterderickAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.9.1 
Target Version2.9.1Fixed in Version2.9.1 
Summary0001728: INIT_STATIC_METHOD_CALL is not overloaded
DescriptionIn the following code:

<?php
class bar 
{
public static function fc(string $a): string
    {   
        return self::nested(
            self::nested( //this line is marked as uncovered
                $a  
            )   
        );  
    }   


Xdebug does not see an executable line on the commented line. VLD indicates this is the INIT_STATIC_METHOD_CALL opcode:

line     #* E I O op                           fetch          ext  return  operands
-------------------------------------------------------------------------------------
   4     0  E >   EXT_NOP                                                  
         1        RECV                                             !0      
   6     2        EXT_STMT                                                 
         3        INIT_STATIC_METHOD_CALL                                  'nested'
   7     4        INIT_STATIC_METHOD_CALL                                  'nested'
   8     5        SEND_VAR                                                 !0

TagsNo tags attached.
Operating System
PHP Version7.4.0-7.4.4

Activities

Issue History

Date Modified Username Field Change
2019-12-09 16:27 derick New Issue
2019-12-09 16:27 derick Status new => assigned
2019-12-09 16:27 derick Assigned To => derick
2019-12-09 17:28 derick Note Added: 0005205
2019-12-10 00:52 derick Status assigned => closed
2019-12-10 00:52 derick Resolution open => fixed
2019-12-10 00:52 derick Fixed in Version => 2.9.1
2020-01-12 14:49 derick Target Version 2.9dev => 2.9.1